jQuery.noConflict();

jQuery(document).ready(function($){

	//Only shows drop down trigger when js is enabled (Adds empty span tag after ul.subnav*)
	$("ul.subnav").parent().append("<span></span>"); 

	$("ul.topnav li a").hover(function() { //When trigger is hovered...

		//Following events are applied to the subnav itself (moving subnav up and down)
		$(this).parent().find("ul.subnav").slideDown('fast').show(); //Drop down the subnav on click

		$(this).parent().hover(function() {
		}, function(){
			$(this).parent().find("ul.subnav").fadeOut('slow'); //When the mouse hovers out of the subnav, fade away
		});

		//Following events are applied to the trigger (Hover events for the trigger)
		}).hover(function() {
			$(this).addClass("subhover"); //On hover over, add class "subhover"
			}, function(){	//On Hover Out
				$(this).removeClass("subhover"); //On hover out, remove class "subhover"
			});

	$("ul.topnav li ul.subnav li a").hover(function() {
		$(this).parent().find("ul.subnavside").slideDown('fast').show();

		$(this).parent().hover(function() {
		}, function(){
			$(this).parent().find("ul.subnavside").fadeOut('slow'); //When the mouse hovers out of the subnav, fade away
		});

		//Following events are applied to the trigger (Hover events for the trigger)
		}).hover(function() {
			$(this).addClass("subhover"); //On hover over, add class "subhover"
			}, function(){	//On Hover Out
				$(this).removeClass("subhover"); //On hover out, remove class "subhover"
			});
	
});